Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::DisplayManagerSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gdk::DisplayManager. More...

`#include <xfc/gdk/displaymanagersignals.hh>`

Inheritance diagram for Xfc::Gdk::DisplayManagerSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_display_opened (Display &display)
    Called when a display is opened.

## Protected Member Functions

Constructors

- DisplayManagerSignals (DisplayManager *display_manager)
    Constructs a new DisplayManagerSignals object.
- virtual ~DisplayManagerSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gdk::DisplayManager.

## Constructor & Destructor Documentation

Xfc::Gdk::DisplayManagerSignals::DisplayManagerSignals | ( | DisplayManager * | display_manager | ) | `[protected]`

Constructs a new DisplayManagerSignals object.

Parameters:

  | display_manager | A DisplayManager object inheriting the DisplayManagerSignals implementation.

## Member Function Documentation

virtual void Xfc::Gdk::DisplayManagerSignals::on_display_opened | ( | Display & | display | ) | `[virtual]`

Called when a display is opened.

Parameters:

  | display | The Display being opened.

The documentation for this class was generated from the following file:

- displaymanagersignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3